org.apache.felix.bundlerepository.impl

## Class ResourceImpl

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.ResourceImpl

All Implemented Interfaces:
  Resource

Direct Known Subclasses:
  LocalResourceImpl

    public class ResourceImpl
    extends java.lang.Object
    implements Resource

### Field Summary

### Fields inherited from interface org.apache.felix.bundlerepository.Resource

`CATEGORY, COPYRIGHT, DESCRIPTION, DOCUMENTATION_URI, ID, JAVADOC_URI, LICENSE_URI, MANIFEST_VERSION, PRESENTATION_NAME, SIZE, SOURCE_URI, SYMBOLIC_NAME, URI, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`ResourceImpl()`

### Method Summary

Methods
`void` `addCapability(Capability cap)`
`void` `addCategory(java.lang.String category)`
`void` `addRequire(Requirement req)`
`boolean` `equals(java.lang.Object o)`
`Capability[]` `getCapabilities()` Retrieve the capabilities
`java.lang.String[]` `getCategories()` Retrieve this resource categories
`java.lang.String` `getId()` Shortcut for {{getProperties().get(ID)}}
`java.lang.String` `getPresentationName()` Shortcut for {{getProperties().get(PRESENTATION_NAME)}}
`java.util.Map` `getProperties()` Get all resource properties
`Repository` `getRepository()`
`Requirement[]` `getRequirements()` Retrieve the requirements
`java.lang.Long` `getSize()` Shortcut for {{getProperties().get(SIZE)}}
`java.lang.String` `getSymbolicName()` Shortcut for {{getProperties().get(SYMBOLIC_NAME)}}
`java.lang.String` `getURI()` Shortcut for {{getProperties().get(URI)}}
`org.osgi.framework.Version` `getVersion()` Shortcut for {{getProperties().get(VERSION)}}
`int` `hashCode()`
`boolean` `isLocal()` Returns whether this resource is a local one or not.
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)` Default setter method when setting parsed data from the XML file.
`void` `put(java.lang.String key, java.lang.String value, java.lang.String type)`
`void` `setRepository(Repository repository)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResourceImpl

    public ResourceImpl()

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### getRepository

    public Repository getRepository()

#### setRepository

    public void setRepository(Repository repository)

#### getProperties

    public java.util.Map getProperties()

Description copied from interface: `Resource`
Get all resource properties

Specified by:
  `getProperties` in interface `Resource`
Returns:

#### getPresentationName

    public java.lang.String getPresentationName()

Description copied from interface: `Resource`
Shortcut for {{getProperties().get(PRESENTATION_NAME)}}

Specified by:
  `getPresentationName` in interface `Resource`
Returns:

#### getSymbolicName

    public java.lang.String getSymbolicName()

Description copied from interface: `Resource`
Shortcut for {{getProperties().get(SYMBOLIC_NAME)}}

Specified by:
  `getSymbolicName` in interface `Resource`
Returns:

#### getId

    public java.lang.String getId()

Description copied from interface: `Resource`
Shortcut for {{getProperties().get(ID)}}

Specified by:
  `getId` in interface `Resource`
Returns:

#### getVersion

    public org.osgi.framework.Version getVersion()

Description copied from interface: `Resource`
Shortcut for {{getProperties().get(VERSION)}}

Specified by:
  `getVersion` in interface `Resource`
Returns:

#### getURI

    public java.lang.String getURI()

Description copied from interface: `Resource`
Shortcut for {{getProperties().get(URI)}}

Specified by:
  `getURI` in interface `Resource`
Returns:

#### getSize

    public java.lang.Long getSize()

Description copied from interface: `Resource`
Shortcut for {{getProperties().get(SIZE)}}

Specified by:
  `getSize` in interface `Resource`
Returns:

#### getRequirements

    public Requirement[] getRequirements()

Description copied from interface: `Resource`
Retrieve the requirements

Specified by:
  `getRequirements` in interface `Resource`
Returns:

#### addRequire

    public void addRequire(Requirement req)

#### getCapabilities

    public Capability[] getCapabilities()

Description copied from interface: `Resource`
Retrieve the capabilities

Specified by:
  `getCapabilities` in interface `Resource`
Returns:

#### addCapability

    public void addCapability(Capability cap)

#### getCategories

    public java.lang.String[] getCategories()

Description copied from interface: `Resource`
Retrieve this resource categories

Specified by:
  `getCategories` in interface `Resource`
Returns:

#### addCategory

    public void addCategory(java.lang.String category)

#### isLocal

    public boolean isLocal()

Description copied from interface: `Resource`
Returns whether this resource is a local one or not. Local resources are already available in the OSGi framework and thus will be preferred over other resources.

Specified by:
  `isLocal` in interface `Resource`

#### put

    public java.lang.Object put(java.lang.Object key,
                       java.lang.Object value)

Default setter method when setting parsed data from the XML file.

#### put

    public void put(java.lang.String key,
           java.lang.String value,
           java.lang.String type)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`